Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229123 - Review Request: yum-arch - Extract headers from rpm in a old yum repository
Summary: Review Request: yum-arch - Extract headers from rpm in a old yum repository
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-17 16:59 UTC by Remi Collet
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-24 17:19:42 UTC
wtogami: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2007-02-17 16:59:56 UTC
Spec URL: http://remi.collet.free.fr/rpms/extras/yum-arch.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/yum-arch-2.2.2-1.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/yum-arch-build.log
Description: 
Extract headers from rpm in a old yum repository.

This package only provides the old yum-arch command from yum-%{version}
It should be used to generate repository informations for Fedora Core  < 3
and RedHat Enterprise Linux < 4.

---
rpmlint output 
E: yum-arch explicit-lib-dependency libxml2-python
E: yum-arch non-executable-script /usr/share/yum-arch/yum/mdcache.py 0644
...

I think this are OK (bug #226666) ?

Note : has been successfully test to build repo for RHEL 2.1 and RHEL 3

Comment 1 Kevin Fenzi 2007-02-18 06:56:58 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
734cc68e26c2fd07629616ab597acac6  yum-2.2.2.tar.gz
734cc68e26c2fd07629616ab597acac6  yum-2.2.2.tar.gz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
See below - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. You should own the
%{_datadir}/%{name}/
directory.

2. rpmlint says:

a)
E: yum-arch explicit-lib-dependency libxml2-python

This can be ignored. rpm can't find the needed dependency
here, so adding a Requires should be ok.

b)
E: yum-arch non-executable-script /usr/share/yum-arch/callback.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/cli.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/i18n.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/output.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/pullheaders.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/repomd/mdErrors.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/repomd/mdUtils.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/repomd/packageObject.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/repomd/packageSack.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/repomd/repoMDObject.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/repomd/test.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/rpmUtils/arch.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/rpmUtils/__init__.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/rpmUtils/miscutils.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/rpmUtils/oldUtils.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/rpmUtils/transaction.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/rpmUtils/updates.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/serverStuff.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/archwork.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/comps.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/config.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/depsolve.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/Errors.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/failover.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/groups.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/__init__.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yummain.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/mdcache.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/packages.py 0644
E: yum-arch non-executable-script /usr/share/yum-arch/yum/repos.py 0644

These are all due to those files having a:
#!/usr/bin/python -t
at the top. Perhaps that could be stripped out, since they should never
be executed directly...


Comment 2 Remi Collet 2007-02-18 07:44:26 UTC
Thanks for the review.

Spec URL: http://remi.collet.free.fr/rpms/extras/yum-arch.spec
SRPM URL: http://remi.collet.free.fr/rpms/extras/yum-arch-2.2.2-2.fc7.src.rpm
Mock Log: http://remi.collet.free.fr/rpms/extras/yum-arch-build.log

* Sun Feb 18 2007 Remi Collet <Fedora@FamilleCollet.com> - 2.2.2-2
- from package review (#229123) 
  own /usr/share/yum-arch
  del shellbang in libs

rpmlint output (issue 2-a):
E: yum-arch explicit-lib-dependency libxml2-python


Comment 3 Kevin Fenzi 2007-02-19 04:40:44 UTC
ok. I see no further blockers, so this package is APPROVED. 

Don't forget to close this review request NEXTRELEASE once it's been imported
and built. 


Comment 4 Remi Collet 2007-05-16 12:37:07 UTC
Package Change Request
======================
Package Name: yum-arch
New Branches: EL-5

Comment 5 Warren Togami 2007-05-16 20:25:38 UTC
also branched for EL-4 because I am sure it would be useful to people there too.


Comment 6 Remi Collet 2007-05-17 05:38:20 UTC
Warren, thanks for the job, but CentOS-4 comes with yum 2.4 which still provide
yum-arch. RHEL-4 doesn't provide yum, but it will be usefull (yum-2.4 available
on Dag repository).

So i will not build "yum-arch" for EL-4.

I think we need probably need yum in EPEL.
What do you think ?

Regards.


Note You need to log in before you can comment on or make changes to this bug.